#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-mime
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        Akonadi Mime Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  xsltproc
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)

%description
Akonadi Mime Integration.

%files
%_kf5_datadir/config.kcfg/specialmailcollections.kcfg
%_kf5_datadir/mime/packages/x-vnd.kde.contactgroup.xml

#--------------------------------------------------------------------

%define kf5akonadimime_major 5
%define libkf5akonadimime %mklibname kf5akonadimime %{kf5akonadimime_major}

%package -n %{libkf5akonadimime}
Summary:      Akonadi Mime Integration main library
Group:        System/Libraries

%description -n %{libkf5akonadimime}
Akonadi Mime Integration main library.

%files -n %{libkf5akonadimime}
%_kf5_libdir/libKF5AkonadiMime.so.%{kf5akonadimime_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadimime_devel %mklibname kf5akonadimime -d

%package -n %{kf5akonadimime_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadimime} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
# removed upstream
Obsoletes:      kdepimlibs-devel < 16.04.3-2
Provides:       kdepimlibs-devel = %{version}-%{release}

%description -n %{kf5akonadimime_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadimime_devel}
%_kf5_includedir/Akonadi/KMime/
%_kf5_includedir/akonadi/kmime/
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiMime/
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089983
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076718
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071936
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067253
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061312
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051949
- New version 16.08.1

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-3.mga6
+ Revision: 1050298
- Rebuild on release

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047943
- obsoletes/provides kdepimlibs-devel removed upstream

* Mon Aug 22 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047699
- imported package akonadi-mime

